package com.chinaitop.depot.grainAnalysis.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageExceptionAndOnfore {
    private Integer id;

    private String analysisId;

    private Date checkDate;

    private String checkType;

    private String checkPart;

    private String checkRange;

    private BigDecimal foodstuffTemp;

    private BigDecimal foodstuffWater;

    private String ratBirdSituation;

    private String pestSituation;

    private String badSituation;

    private String accidentSituation;

    private String handlePlanOrResult;

    private Date inputDate;

    private Integer inputPerson;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 分析编号
     * @return analysis_id 分析编号
     */
    public String getAnalysisId() {
        return analysisId;
    }

    /**
     * 分析编号
     * @param analysisId 分析编号
     */
    public void setAnalysisId(String analysisId) {
        this.analysisId = analysisId == null ? null : analysisId.trim();
    }

    /**
     * 检查时间
     * @return check_date 检查时间
     */
    public Date getCheckDate() {
        return checkDate;
    }

    /**
     * 检查时间
     * @param checkDate 检查时间
     */
    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    /**
     * 检查类型
     * @return check_type 检查类型
     */
    public String getCheckType() {
        return checkType;
    }

    /**
     * 检查类型
     * @param checkType 检查类型
     */
    public void setCheckType(String checkType) {
        this.checkType = checkType == null ? null : checkType.trim();
    }

    /**
     * 检查部位
     * @return check_part 检查部位
     */
    public String getCheckPart() {
        return checkPart;
    }

    /**
     * 检查部位
     * @param checkPart 检查部位
     */
    public void setCheckPart(String checkPart) {
        this.checkPart = checkPart == null ? null : checkPart.trim();
    }

    /**
     * 检查范围
     * @return check_range 检查范围
     */
    public String getCheckRange() {
        return checkRange;
    }

    /**
     * 检查范围
     * @param checkRange 检查范围
     */
    public void setCheckRange(String checkRange) {
        this.checkRange = checkRange == null ? null : checkRange.trim();
    }

    /**
     * 粮温(℃)
     * @return foodstuff_temp 粮温(℃)
     */
    public BigDecimal getFoodstuffTemp() {
        return foodstuffTemp;
    }

    /**
     * 粮温(℃)
     * @param foodstuffTemp 粮温(℃)
     */
    public void setFoodstuffTemp(BigDecimal foodstuffTemp) {
        this.foodstuffTemp = foodstuffTemp;
    }

    /**
     * 水分(%)
     * @return foodstuff_water 水分(%)
     */
    public BigDecimal getFoodstuffWater() {
        return foodstuffWater;
    }

    /**
     * 水分(%)
     * @param foodstuffWater 水分(%)
     */
    public void setFoodstuffWater(BigDecimal foodstuffWater) {
        this.foodstuffWater = foodstuffWater;
    }

    /**
     * 鼠雀情况
     * @return rat_bird_situation 鼠雀情况
     */
    public String getRatBirdSituation() {
        return ratBirdSituation;
    }

    /**
     * 鼠雀情况
     * @param ratBirdSituation 鼠雀情况
     */
    public void setRatBirdSituation(String ratBirdSituation) {
        this.ratBirdSituation = ratBirdSituation == null ? null : ratBirdSituation.trim();
    }

    /**
     * 害虫情况
     * @return pest_situation 害虫情况
     */
    public String getPestSituation() {
        return pestSituation;
    }

    /**
     * 害虫情况
     * @param pestSituation 害虫情况
     */
    public void setPestSituation(String pestSituation) {
        this.pestSituation = pestSituation == null ? null : pestSituation.trim();
    }

    /**
     * 变质情况
     * @return bad_situation 变质情况
     */
    public String getBadSituation() {
        return badSituation;
    }

    /**
     * 变质情况
     * @param badSituation 变质情况
     */
    public void setBadSituation(String badSituation) {
        this.badSituation = badSituation == null ? null : badSituation.trim();
    }

    /**
     * 事故情况
     * @return accident_situation 事故情况
     */
    public String getAccidentSituation() {
        return accidentSituation;
    }

    /**
     * 事故情况
     * @param accidentSituation 事故情况
     */
    public void setAccidentSituation(String accidentSituation) {
        this.accidentSituation = accidentSituation == null ? null : accidentSituation.trim();
    }

    /**
     * 处理方案或处理效果
     * @return handle_plan_or_result 处理方案或处理效果
     */
    public String getHandlePlanOrResult() {
        return handlePlanOrResult;
    }

    /**
     * 处理方案或处理效果
     * @param handlePlanOrResult 处理方案或处理效果
     */
    public void setHandlePlanOrResult(String handlePlanOrResult) {
        this.handlePlanOrResult = handlePlanOrResult == null ? null : handlePlanOrResult.trim();
    }

    /**
     * 录入时间
     * @return input_date 录入时间
     */
    public Date getInputDate() {
        return inputDate;
    }

    /**
     * 录入时间
     * @param inputDate 录入时间
     */
    public void setInputDate(Date inputDate) {
        this.inputDate = inputDate;
    }

    /**
     * 录入人
     * @return input_person 录入人
     */
    public Integer getInputPerson() {
        return inputPerson;
    }

    /**
     * 录入人
     * @param inputPerson 录入人
     */
    public void setInputPerson(Integer inputPerson) {
        this.inputPerson = inputPerson;
    }
}