package com.chinaitop.depot.grainAnalysis.model;

import java.util.Date;

public class StorageGrainAnalysis {
    private Integer id;

    private String analysisId;

    private Integer orgId;

    private String orgName;

    private String storehouseId;

    private String storehouseCode;

    private String warehouseId;

    private Integer storehouseType;

    private Integer foodstuffType;

    private String keeperName;

    private Integer analysisType;

    private Date checkDateStart;

    private Date checkDateEnd;

    private Integer year;

    private Integer month;

    private String submitPerson;

    private Date submitDate;

    private String grainAnalysis;

    private String grainState;

    private String conclusion;

    private String chiefOpinion;

    private String remark;

    private String auditor;

    private Date auditorDate;

    private String auditorOpinion;

    private Integer auditorStatus;

    private Date inputDate;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 分析编号
     * @return analysis_id 分析编号
     */
    public String getAnalysisId() {
        return analysisId;
    }

    /**
     * 分析编号
     * @param analysisId 分析编号
     */
    public void setAnalysisId(String analysisId) {
        this.analysisId = analysisId == null ? null : analysisId.trim();
    }

    /**
     * 粮库ID
     * @return org_id 粮库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 粮库ID
     * @param orgId 粮库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 粮库名称
     * @return org_name 粮库名称
     */
    public String getOrgName() {
        return orgName;
    }

    /**
     * 粮库名称
     * @param orgName 粮库名称
     */
    public void setOrgName(String orgName) {
        this.orgName = orgName == null ? null : orgName.trim();
    }

    /**
     * 仓房名称
     * @return storehouse_id 仓房名称
     */
    public String getStorehouseId() {
        return storehouseId;
    }

    /**
     * 仓房名称
     * @param storehouseId 仓房名称
     */
    public void setStorehouseId(String storehouseId) {
        this.storehouseId = storehouseId == null ? null : storehouseId.trim();
    }

    /**
     * 仓房编号
     * @return storehouse_code 仓房编号
     */
    public String getStorehouseCode() {
        return storehouseCode;
    }

    /**
     * 仓房编号
     * @param storehouseCode 仓房编号
     */
    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode == null ? null : storehouseCode.trim();
    }

    /**
     * 货位ID
     * @return warehouse_id 货位ID
     */
    public String getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位ID
     * @param warehouseId 货位ID
     */
    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId == null ? null : warehouseId.trim();
    }

    /**
     * 仓房类型
     * @return storehouse_type 仓房类型
     */
    public Integer getStorehouseType() {
        return storehouseType;
    }

    /**
     * 仓房类型
     * @param storehouseType 仓房类型
     */
    public void setStorehouseType(Integer storehouseType) {
        this.storehouseType = storehouseType;
    }

    /**
     * 粮食品种
     * @return foodstuff_type 粮食品种
     */
    public Integer getFoodstuffType() {
        return foodstuffType;
    }

    /**
     * 粮食品种
     * @param foodstuffType 粮食品种
     */
    public void setFoodstuffType(Integer foodstuffType) {
        this.foodstuffType = foodstuffType;
    }

    /**
     * 责任保管员
     * @return keeper_name 责任保管员
     */
    public String getKeeperName() {
        return keeperName;
    }

    /**
     * 责任保管员
     * @param keeperName 责任保管员
     */
    public void setKeeperName(String keeperName) {
        this.keeperName = keeperName == null ? null : keeperName.trim();
    }

    /**
     * 分析类型(0周分析，1月分析，2年分析)
     * @return analysis_type 分析类型(0周分析，1月分析，2年分析)
     */
    public Integer getAnalysisType() {
        return analysisType;
    }

    /**
     * 分析类型(0周分析，1月分析，2年分析)
     * @param analysisType 分析类型(0周分析，1月分析，2年分析)
     */
    public void setAnalysisType(Integer analysisType) {
        this.analysisType = analysisType;
    }

    /**
     * 检查起始日期
     * @return check_date_start 检查起始日期
     */
    public Date getCheckDateStart() {
        return checkDateStart;
    }

    /**
     * 检查起始日期
     * @param checkDateStart 检查起始日期
     */
    public void setCheckDateStart(Date checkDateStart) {
        this.checkDateStart = checkDateStart;
    }

    /**
     * 检查结束日期
     * @return check_date_end 检查结束日期
     */
    public Date getCheckDateEnd() {
        return checkDateEnd;
    }

    /**
     * 检查结束日期
     * @param checkDateEnd 检查结束日期
     */
    public void setCheckDateEnd(Date checkDateEnd) {
        this.checkDateEnd = checkDateEnd;
    }

    /**
     * 年
     * @return year 年
     */
    public Integer getYear() {
        return year;
    }

    /**
     * 年
     * @param year 年
     */
    public void setYear(Integer year) {
        this.year = year;
    }

    /**
     * 月
     * @return month 月
     */
    public Integer getMonth() {
        return month;
    }

    /**
     * 月
     * @param month 月
     */
    public void setMonth(Integer month) {
        this.month = month;
    }

    /**
     * 提交人
     * @return submit_person 提交人
     */
    public String getSubmitPerson() {
        return submitPerson;
    }

    /**
     * 提交人
     * @param submitPerson 提交人
     */
    public void setSubmitPerson(String submitPerson) {
        this.submitPerson = submitPerson == null ? null : submitPerson.trim();
    }

    /**
     * 提交时间
     * @return submit_date 提交时间
     */
    public Date getSubmitDate() {
        return submitDate;
    }

    /**
     * 提交时间
     * @param submitDate 提交时间
     */
    public void setSubmitDate(Date submitDate) {
        this.submitDate = submitDate;
    }

    /**
     * 粮情分析
     * @return grain_analysis 粮情分析
     */
    public String getGrainAnalysis() {
        return grainAnalysis;
    }

    /**
     * 粮情分析
     * @param grainAnalysis 粮情分析
     */
    public void setGrainAnalysis(String grainAnalysis) {
        this.grainAnalysis = grainAnalysis == null ? null : grainAnalysis.trim();
    }

    /**
     * 粮情状况
     * @return grain_state 粮情状况
     */
    public String getGrainState() {
        return grainState;
    }

    /**
     * 粮情状况
     * @param grainState 粮情状况
     */
    public void setGrainState(String grainState) {
        this.grainState = grainState == null ? null : grainState.trim();
    }

    /**
     * 结论
     * @return conclusion 结论
     */
    public String getConclusion() {
        return conclusion;
    }

    /**
     * 结论
     * @param conclusion 结论
     */
    public void setConclusion(String conclusion) {
        this.conclusion = conclusion == null ? null : conclusion.trim();
    }

    /**
     * 仓储科长意见
     * @return chief_opinion 仓储科长意见
     */
    public String getChiefOpinion() {
        return chiefOpinion;
    }

    /**
     * 仓储科长意见
     * @param chiefOpinion 仓储科长意见
     */
    public void setChiefOpinion(String chiefOpinion) {
        this.chiefOpinion = chiefOpinion == null ? null : chiefOpinion.trim();
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 审核人
     * @return auditor 审核人
     */
    public String getAuditor() {
        return auditor;
    }

    /**
     * 审核人
     * @param auditor 审核人
     */
    public void setAuditor(String auditor) {
        this.auditor = auditor == null ? null : auditor.trim();
    }

    /**
     * 审核时间
     * @return auditor_date 审核时间
     */
    public Date getAuditorDate() {
        return auditorDate;
    }

    /**
     * 审核时间
     * @param auditorDate 审核时间
     */
    public void setAuditorDate(Date auditorDate) {
        this.auditorDate = auditorDate;
    }

    /**
     * 审核意见
     * @return auditor_opinion 审核意见
     */
    public String getAuditorOpinion() {
        return auditorOpinion;
    }

    /**
     * 审核意见
     * @param auditorOpinion 审核意见
     */
    public void setAuditorOpinion(String auditorOpinion) {
        this.auditorOpinion = auditorOpinion == null ? null : auditorOpinion.trim();
    }

    /**
     * 审批状态
     * @return auditor_status 审批状态
     */
    public Integer getAuditorStatus() {
        return auditorStatus;
    }

    /**
     * 审批状态
     * @param auditorStatus 审批状态
     */
    public void setAuditorStatus(Integer auditorStatus) {
        this.auditorStatus = auditorStatus;
    }

    /**
     * 录入时间
     * @return input_date 录入时间
     */
    public Date getInputDate() {
        return inputDate;
    }

    /**
     * 录入时间
     * @param inputDate 录入时间
     */
    public void setInputDate(Date inputDate) {
        this.inputDate = inputDate;
    }
}