package com.chinaitop.depot.grainAnalysis.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.grainAnalysis.model.StorageGrainAnalysis;
import com.chinaitop.depot.grainAnalysis.model.StorageGrainAnalysisExample;

public interface StorageGrainAnalysisService {

	/**
	 * 新增
	 * 
	 * @param storageGrainAnalysis
	 */
	void add(StorageGrainAnalysis storageGrainAnalysis);

	/**
	 * 删除
	 * 
	 * @param id
	 */
	void remove(Integer id);

	/**
	 * 修改
	 * 
	 * @param storageGrainAnalysis
	 */
	void update(StorageGrainAnalysis storageGrainAnalysis);

	/**
	 * 查询一条数据
	 * 
	 * @param id 数据ID
	 * @return
	 */
	StorageGrainAnalysis findByParmaryKey(Integer id);

	/**
	 * 查询一组数据
	 * 
	 * @param example 条件
	 * @return
	 */
	List<StorageGrainAnalysis> findByCondition(StorageGrainAnalysisExample example);

	/**
	 * 查询一条分析记录的所有关联信息
	 * 
	 * @param id 数据ID
	 * @param analysisType 分析类型
	 * @param map 返回对象
	 */
	Map<String, Object> findByIdAnalysisObj(Integer id, Integer analysisType, Map<String, Object> map);

	/**
	 * 更新粮情分析和异常四无情况数据
	 * 
	 * @param grainJson 主表数据
	 * @param exceptionJson 从表数据
	 * @return
	 */
	Map<String, Object> updateGrainAndException(String grainJson, String exceptionJson, Map<String, Object> map, Integer type,Integer orgId, Integer userId);

	/**
	 * 以月份为条件查询三温数据
	 * 
	 * @param houseId 仓房ID
	 * @param wareId 货位ID
	 * @param year 年
	 * @param month 月
	 * @param orgId 粮库ID
	 * @param map 返回对象
	 * @return
	 */
	Map<String, Object> getMonthThreeTempDate(String houseId, String wareId, Integer year, Integer month,
			Integer orgId, Map<String, Object> map);
	Map<String, Object> getQuarterThreeTempDate(String houseId, String wareId, Integer year, Integer month,
			Integer orgId, Map<String, Object> map);

	/**
	 * 以年为条件查询三温数据
	 * 
	 * @param houseId 仓房ID
	 * @param wareId 货位ID
	 * @param year 年
	 * @param orgId 粮库ID
	 * @param map 返回对象
	 * @return
	 */
	Map<String, Object> getYearThreeTempDate(String houseId, String wareId, Integer year, Integer orgId,
			Map<String, Object> map);

	/**
	 * 查询粮情数据
	 * 
	 * @param weekParams
	 * @return
	 * @throws Exception 
	 */
	Map<String, Object> getThreeTempData(String map, Integer weekParams) throws Exception;

}
